Skip to main content
POST
/
lead-lists
Create Lead List
curl --request POST \
  --url https://api.amplemarket.com/lead-lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shared": true,
  "owner": "jsmith@example.com",
  "type": "linkedin",
  "leads": [
    {
      "linkedin_url": "<string>",
      "email": "jsmith@example.com",
      "title": "<string>",
      "company_name": "<string>",
      "company_domain": "<string>"
    }
  ],
  "name": "<string>",
  "visible": true,
  "options": {
    "reveal_phone_numbers": true,
    "validate_email": true,
    "enrich": true
  }
}
'
{ "id": "019dfcc6-4397-776f-8141-68b2cff8ab1e", "object": "lead_list", "name": "my list", "status": "queued", "shared": true, "visible": false, "owner": "admin@example.com", "type": "linkedin", "created_at": "2026-05-06T10:12:25Z", "updated_at": "2026-05-06T10:12:25Z", "options": { "reveal_phone_numbers": false, "validate_email": true, "enrich": true }, "leads": [], "_links": { "self": { "href": "/lead-lists/019dfcc6-4397-776f-8141-68b2cff8ab1e" } } }

Documentation Index

Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Leads to create the list with

shared
boolean
required
owner
string<email>
required
type
enum<string>
required
Available options:
linkedin,
email,
titles_and_company
leads
object[]
required

You may send up to 10000 leads at a time.

Maximum array length: 10000
name
string
visible
boolean
options
object

Response

Lead List accepted

id
string<uuid>
required
object
enum<string>
required
Available options:
lead_list
name
string
required
status
enum<string>
required
Available options:
queued,
processing,
completed
shared
boolean
required
visible
boolean
required
owner
string<email>
required
type
enum<string>
required
Available options:
linkedin,
email,
title_and_company,
name_and_company,
salesforce,
hubspot,
person,
adaptive
leads
object[]
required
created_at
string<date_time>
updated_at
string<date_time>
options
object
_errors
object[]